/*
  Copyright Dave Bone 1998 - 2014
  All Rights Reserved. 
  No part of this document may be reproduced without written consent from the author.

File:    testout_err_symbols.lex
Date:    7 July 2003
Author:  Dave Bone
*/
/@
@i "/yacco2/copyright.w"
@** Testout Error symbols vocabulary.\fbreak
@/

error-symbols
(file-name	testout_err_symbols
,name-space	NS_testout_err_symbols)
{
"no cmd-lne-data" (sym-class	Err_no_cmd_lne_data)
"no filename"     (sym-class	Err_no_filename)
"bad filename" 
(sym-class	Err_bad_filename	{
	user-declaration
		public:
		Err_bad_filename(std::string& File_name);
		Err_bad_filename(const char* File_name);
		std::string* file_name();
		private:
			std::string file_name_;
	***
	user-implementation
		Err_bad_filename::
		Err_bad_filename(std::string& File_name)
      T_CTOR("bad filename",T_Enum::T_Err_bad_filename_,0,false,false)
		  {file_name_ += File_name.c_str();}
		Err_bad_filename::
		Err_bad_filename(const char* File_name)
      T_CTOR("bad filename",T_Enum::T_Err_bad_filename_,0,false,false)
		  {file_name_ += File_name;}
		std::string* Err_bad_filename::file_name(){return &file_name_;}
	***
	}
)
"Bad T inputted"  (sym-class	Err_bad_T_inputted)
}
